/*
This file is part of Claymore.
Copyright (C) 2009, Fabrice Michellonet (fabrice dot michellonet at gmail dot com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

namespace Claymore
{
    /// <summary>
    /// 
    /// </summary>
    public interface IClaymoreConfigElement
    {

        /// <summary>
        /// Gets the view manager.
        /// </summary>
        /// <value>The view manager.</value>
        IViewManagerConfigElement ViewManager { get; }
        
        /// <summary>
        /// Sets the view manager.
        /// </summary>
        /// <param name="viewManager">The view manager.</param>
        /// <returns></returns>
        IClaymoreConfigElement SetViewManager(IViewManager viewManager);

        /// <summary>
        /// Gets the presenter manager.
        /// </summary>
        /// <value>The presenter manager.</value>
        IPresenterManagerConfigElement PresenterManager { get; }

        /// <summary>
        /// Sets the presenter manager.
        /// </summary>
        /// <param name="presenterManager">The presenter manager.</param>
        /// <returns></returns>
        IClaymoreConfigElement SetPresenterManager(IPresenterManager presenterManager);
    }
}