/*
This file is part of Claymore.
Copyright (C) 2009, Fabrice Michellonet (fabrice dot michellonet at gmail dot com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

using System.Collections.Generic;
using System.Reflection;
namespace Claymore
{
    /// <summary>
    /// 
    /// </summary>
    public interface IViewManagerConfigElement
    {

        /// <summary>
        /// Adds a views assembly.
        /// </summary>
        /// <param name="asembly">The asembly.</param>
        /// <returns></returns>
        IClaymoreConfigElement AddViewsAssembly(Assembly asembly);

        /// <summary>
        /// Adds views assemblies.
        /// </summary>
        /// <param name="asemblies">The asembly list.</param>
        /// <returns></returns>
        IClaymoreConfigElement AddViewsAssemblies(IEnumerable<Assembly> asemblies);
    }
}