﻿/*
This file is part of Claymore.
Copyright (C) 2010, Fabrice Michellonet (fabrice dot michellonet at gmail dot com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
namespace Claymore
{
    public class PresenterBase<TView>: IPresenter<TView>
        where TView : class, IView
    {

        #region Fields

        private readonly TView _view;

        #endregion

        /// <summary>
        /// Initializes a new instance of the <see cref="PresenterBase&lt;TView&gt;"/> class.
        /// </summary>
        /// <param name="view">The view.</param>
        public PresenterBase(TView view)
        {
            _view = view;
        }

        /// <summary>
        /// Gets the view.
        /// </summary>
        /// <value>The view.</value>
        public TView View
        {
            get { return _view; }
        }
    }
}